wxWidgets: wxPGCellData Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
wxPGCellData Class Reference
Class List by Category » wxPropertyGrid

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/propgrid/property.h>`

Inheritance diagram for wxPGCellData:
[legend]

## Detailed Description

##

Library: wxPropertyGrid

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxPGCellData ()
void | SetText (const wxString &text)
void | SetBitmap (const wxBitmap &bitmap)
void | SetFgCol (const wxColour &col)
void | SetBgCol (const wxColour &col)
void | SetFont (const wxFont &font)

## Protected Member Functions
virtual | ~wxPGCellData ()

## Protected Attributes
wxString | m_text
wxBitmap | m_bitmap
wxColour | m_fgCol
wxColour | m_bgCol
wxFont | m_font
bool | m_hasValidText
| true if m_text is valid and specified.

## Friends
class | wxPGCell

## Constructor & Destructor Documentation

## ◆ wxPGCellData()

wxPGCellData::wxPGCellData | ( |  | ) |

## ◆ ~wxPGCellData()

virtual wxPGCellData::~wxPGCellData | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ SetBgCol()

void wxPGCellData::SetBgCol | ( | const wxColour & | col | ) |

## ◆ SetBitmap()

void wxPGCellData::SetBitmap | ( | const wxBitmap & | bitmap | ) |

## ◆ SetFgCol()

void wxPGCellData::SetFgCol | ( | const wxColour & | col | ) |

## ◆ SetFont()

void wxPGCellData::SetFont | ( | const wxFont & | font | ) |

## ◆ SetText()

void wxPGCellData::SetText | ( | const wxString & | text | ) |

## Friends And Related Symbol Documentation

## ◆ wxPGCell

friend class wxPGCell
| friend

## Member Data Documentation

## ◆ m_bgCol

wxColour wxPGCellData::m_bgCol
| protected

## ◆ m_bitmap

wxBitmap wxPGCellData::m_bitmap
| protected

## ◆ m_fgCol

wxColour wxPGCellData::m_fgCol
| protected

## ◆ m_font

wxFont wxPGCellData::m_font
| protected

## ◆ m_hasValidText

bool wxPGCellData::m_hasValidText
| protected

true if m_text is valid and specified.

## ◆ m_text

wxString wxPGCellData::m_text
| protected